VARKON Version 1.15 1997-10-24

> ## tform_rotl - Geometric procedure

> Creates a transformation
> Description
> Creates a rotational transformation with optional scaling. Rotation is done around an arbitrary 3D axis defined by two positions.
> Syntax
> tform_rotl(id, p1, p2, rot, sx, sy, sz:attributes);

> REF | id;
> VECTOR | p1;
> VECTOR | p2;
> FLOAT | rot;
> FLOAT | sx;
> FLOAT | sy;
> FLOAT | sz;

> Principal parameters

> id | - Local identity
> p1 | - First position on rotation axis and origin of optional scaling
> p2 | - Second position on rotation axis
> rot | - Counterclockwise angle of rotation

> Optional parameters

> sx | - Scalefactor in X-direction, default = 1
> sy | - Scalefactor in Y-direction, default = sx
> sz | - Scalefactor in Z-direction, default = sy

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)

> Example
> tform_rotl(#1,vec(1,1,1),vec(2,2,2),45);
> An anticlockwise rotation of 45 degrees (standing in p1 looking towards p2) around an axis define by X=Y=Z=1 and X=Y=Z=2. No scaling.
> Comments
> tform_rotl is only allowed in a 3D module.

VARKON Homepage | Index